1. Manifests
  2. Retrieve Manifest

Manifests

Retrieve Manifest

GET
`/v1/manifests/:manifest`

Get a single manifest using its id.

js
        const response = await fetch("https://api.packagex.io/v1/manifests/mfst_czhgjrk5JaVvyATPDbyURp", {
  method: "GET",
  headers: {
    "PX-API-KEY": process.env.PX_API_KEY,
    "Content-Type": "application/json",
  },
}).then((res) => res.json());

const manifest = response.data;

      

List Manifests

Example

GET
`/v1/manifests`

When you want to retrieve multiple manifests, your data property on the result will always be an array even if you don't have any manifests.

js
        const response = await fetch("https://api.packagex.io/v1/manifests", {
  method: "GET",
  headers: {
    "PX-API-KEY": process.env.PX_API_KEY,
    "Content-Type": "application/json",
  },
}).then((res) => res.json());

const manifests = response.data; //the array of items
const pagination = response.pagination; //the pagination object

      

Pagination

If the has_more property on the pagination object is set to true, you know there are more manifests in the database that have not been returned to you. The pagination object also has a page property indicating your current offset and a limit property. The total_count property in pagination returns the the total number of manifests in the database.

By default the page is set to 1 and the limit is 25.

If we want to query for items 26 - 50, we would request page 2 with a query parameter.

js
        const response = await fetch("https://api.packagex.io/v1/manifests?page=2&limit=25", {
  method: "GET",
  headers: {
    "PX-API-KEY": process.env.PX_API_KEY,
    "Content-Type": "application/json",
  },
}).then((res) => res.json());

const manifests = response.data; //the array of items 25 - 50
const pagination = response.pagination; //the pagination object

      

Filter

You can filter manifests by location_id, statuses, value_added_services, updated_by, sender, recipient, special_handling_tags, provider_id.

You can also filter by date ranges on created_at, updated_at, arrived_at, and processed_at

  • location_id - Add the ID of one of your locations to get all of the deliveries currently mapped to that location. For example: location_id=loc_czhgjrk5JaVvyATPDbyURp
  • statuses - A comma separated list of manifest statuses. Keep in mind comma's in URLs are encoded as %2C, so we recommend using your platforms native URL encoding library. For example: statuses=processing,completed
  • updated_by - the key or id of the resource that last updated the manifest.
  • sender - contact id of the sender
  • recipient - contact id of the recipient
  • special_handling_tags - comma separated list of sepcial handling tags.
js
        const response = await fetch(
  "https://api.packagex.io/v1/manifests?location=loc_hj7gjrk5JaVvyATPDbyURp&statuses=processing%2Ccompleted",
  {
    method: "GET",
    headers: {
      "PX-API-KEY": process.env.PX_API_KEY,
      "Content-Type": "application/json",
    },
  }
).then((res) => res.json());

const manifests = response.data;
const pagination = response.pagination;

      

Sorting

Sorting describes in what order you want your responses to come in. You can select an available property by which to sort, as well as the direction.

  • order_by - The property by which to sort. Available properties are: created_at
  • direction - The direction to sort. Available directions are: asc and desc

By default, manifests will be sorted by in descending order, meaning the most recently created will be first.

js
        const response = await fetch("https://api.packagex.io/v1/manifests?order_by=created_at&direction=desc", {
  method: "GET",
  headers: {
    "PX-API-KEY": process.env.PX_API_KEY,
    "Content-Type": "application/json",
  },
}).then((res) => res.json());

const manifests = response.data;
const pagination = response.pagination;

      

There are times when filtering is not enough and you want to find a specific manifest by some other attribute. In this case, you can do a fuzzy, typo-tolerant search. Below are the properties that are supported by our full text search.

Searchable Properties

  • order_number
  • tracking_number

To search, simply provide a string to search by using the search query param. The results will be order by the most relevant first. If you want to highlight matching search results for a frontend, we provide a special property for search-returned manifest objects called _search which will have the matched text surrounded with <mark> handles.

Ordering Search Results

By default, search results are ordered by relevance. However, if you include an order_by parameter along with your search query, the results will be ordered by the specified property instead of by relevance.

Relevance Score

Relevance scores are included in the search results by default. Note that this could add up to 10ms of extra time to the request.

js
        const response = await fetch("https://api.packagex.io/v1/manifests?search=123", {
  method: "GET",
  headers: {
    "PX-API-KEY": process.env.PX_API_KEY,
    "Content-Type": "application/json",
  },
}).then((res) => res.json());

const manifest = response.data[0];